const path = require('path');
const CopyPlugin = require('copy-webpack-plugin');

module.exports = [{
  entry: './desktop.js',
  mode: 'development',
  output: {
    path: path.resolve(__dirname, 'dist'),
    filename: 'desktop.js',
  },
  plugins: [
    new CopyPlugin( {
        patterns: [
              { 
                  from: path.resolve(__dirname, 'desktop.html'), 
                  to: path.resolve(__dirname, 'dist') 
              },
          ],
        }
      ),
  ],
  devServer: {
    static: {
      directory: path.join(__dirname, 'dist'),
    },
    compress: true,
    port: 9000
  }
},

{
    entry: './mobile.js',
    mode: 'development',
    output: {
      path: path.resolve(__dirname, 'dist'),
      filename: 'mobile.js',
    },
    plugins: [
        new CopyPlugin( {
            patterns: [
                  { 
                      from: path.resolve(__dirname, 'mobile.html'), 
                      to: path.resolve(__dirname, 'dist') 
                  },
              ],
            }
          ),
      ],
    devServer: {
      static: {
        directory: path.join(__dirname, 'dist'),
      },
      compress: true,
      port: 9000
    }
  
  }

];